import React from 'react'
import { NavigationContainer } from '@react-navigation/native';
import { createStackNavigator } from '@react-navigation/stack';
import Equipment from '../pages/Equipment'
import ChangeNickname from '../pages/ChangeNickname'

const Stack = createStackNavigator();

const pathMap = {
  '/equiment': 'equiment',
  '/changeNickname': 'changeNickname',
};

function AllStack(props) {
  const { path } = props;
  console.log('pathMap[path]', pathMap[path]);
  return (
    <Stack.Navigator initialRouteName={pathMap[path] || 'changeNickname'}>
      <Stack.Screen options={{title: '常用设备'}} name="equiment" component={Equipment} />
      <Stack.Screen options={{title: '修改昵称'}} name="changeNickname" component={ChangeNickname} />
    </Stack.Navigator>
  );
}

export default function App(props) {
  const { path } = props;
  console.log('path', path);
  return (
    <NavigationContainer>
      <AllStack path={path} />
    </NavigationContainer>
  );
}
